Subject: Re: bug#74413: [PATCH] Allow to store and read repository information of VCS builds

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Nov 2024 16:55:27 +0200

> From: Björn Bidar <[email-masked]>
> Cc: Po Lu <[email-masked]>,  [email-masked]
> Date: Mon, 18 Nov 2024 16:21:28 +0200
> 
> > Doesn't that go against the tendency to have _less_ detailed/private
> > information in the build?  We've lately removed some relatively useful
> > infos from what we report in commands that use the build information.
> 
> The information added is only the branch and the repository similarly as
> used by the Android builds. There's no private information there unless
> the exact change reference Emacs was built on is private.

The branch name could be private.

Stefan, WDYT about this feature suggestion?

> > More generally, could you present the motivation and the rationale for
> > making this information available in production builds?
> 
> The information wouldn't be only available to production builds but also
> testing/developer builds that are builtin in a CI environment to
> e.g. provide test builds for developers to use or to instruct user to
> use to try to reproduce a bug.
> 
> Even for production builds it could be useful for convenience to track
> down the exact reference/branch a build came from from, that's
> side effect only thou.

This is already available if Emacs is built in a Git repository, and
the information is stored in the dumped Emacs.  So what is gained by
also recording the repository version on a disk file external to
Emacs?